﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Msdn.ErrorUx
{
    public class DatabaseConnectivityException : Exception, IUIExceptionDetail
    {
        public DatabaseConnectivityException(Exception innerException)
            : base(Resources.Exceptions.DatabaseConnectivityException_Message, 
                    innerException)
        {
            int.TryParse(Resources.Exceptions.DatabaseConnectivityException_Code,
                out _ErrorCode);
            _DetailMessage = Resources.Exceptions.DatabaseConnectivityException_DetailMessage;
        }


        #region IUIExceptionDetail Members
        int _ErrorCode;
        public int ErrorCode
        {
            get { return _ErrorCode; }
        }

        string _DetailMessage;
        public string DetailMessage
        {
            get { return _DetailMessage; }
        }

        #endregion
    }
}
