﻿using System;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace Msdn.ErrorUx
{
  public partial class Login : Form
  {
    public Login()
    {
      InitializeComponent();
    }

    private void button1_Click(object sender, EventArgs e)
    {
      if (textBox1.Text.Length == 0
          || textBox2.Text.Length == 0)
        throw new Exception("Some unknown/unexpected problem.");

      try
      {
        using (SqlConnection conn =
            new SqlConnection("Server=MyServer;Database=MyDb;Connect Timeout=2"))
        {
          conn.Open();
        }
      }
      catch (SqlException sqlEx)
      {
        throw new DatabaseConnectivityException(sqlEx);
      }
    }

    private void Form1_Load(object sender, EventArgs e)
    {

    }
  }
}
