﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace Msdn.ErrorUx
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.ThreadException += Application_ThreadException;
            Application.Run(new Login());
        }

        static void Application_ThreadException(object sender, System.Threading.ThreadExceptionEventArgs e)
        {
            ErrorMessage.Show(ExceptionHandling.UiUnknown(e.Exception));
        }
    }
}
